Stores an uploaded file as a bundled skill file.

POSThttps://api.awork.com/api/v1/agents/skills/{skillId}/files/byuploadid
POST https://api.awork.com/api/v1/agents/skills/{skillId}/files/byuploadid

Stores or replaces a bundled file from an upload ID or temporary file ID. The relative path defaults to fileName and can be overridden with relativePath, for example references/logo.png. The same file, count, and package limits apply as for the multipart upload.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

skillIdstringRequired
format: uuid

The skill ID.

Request body Required

The upload ID and target path.

application/json

uploadIdstringRequired
format: uuid

The upload ID from generateUploadUrl or an existing temporary file ID.

fileNamestringRequired
minLength: 1 maxLength: 400

The uploaded file name. It is the target path unless AiService.Feature.AgentRuntime.Models.UploadSkillFileByUploadIdRequestModel.RelativePath is set.

relativePathstring or nullOptional
maxLength: 400

The optional target path relative to the skill root. Defaults to the file name.

Responses

200 OK

application/json

relativePathstring or nullOptional

The path of the file relative to the skill root (for example "scripts/sync.py").

sizeBytesintegerOptional
format: int64

The file size in bytes.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation